## sdlip
Interface ResultAccess

All Known Implementing Classes:
  BritannicaLSP, ClientTransportModule, SwitchBoardLSP, Z39LSP

public interface ResultAccess

This is the SDLIP ResultAccess interface.

Field Summary
`static int` `CANCEL_ALL_REQUESTS`

Method Summary
`void` `cancelRequest(int serverSID, int reqID)`
`void` `extendStateTimeout(int serverSID, int additionalTime, org.omg.CORBA.IntHolder timeAllotted)`
`void` `getDocs(int serverSID, int reqID, XMLObject docPropList, java.lang.String docsToGet, XMLObject res)`
`void` `getSessionInfo(int serverSID, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout)`

Field Detail

### CANCEL_ALL_REQUESTS

    public static final int CANCEL_ALL_REQUESTS

See Also:
  Constant Field Values

Method Detail

### getSessionInfo

    public void getSessionInfo(int serverSID,
                               org.omg.CORBA.IntHolder expectedTotal,
                               org.omg.CORBA.IntHolder stateTimeout)
                        throws SDLIPException

    `SDLIPException`

### getDocs

    public void getDocs(int serverSID,
                        int reqID,
                        XMLObject docPropList,
                        java.lang.String docsToGet,
                        XMLObject res)
                 throws SDLIPException

    `SDLIPException`

### extendStateTimeout

    public void extendStateTimeout(int serverSID,
                                   int additionalTime,
                                   org.omg.CORBA.IntHolder timeAllotted)
                            throws SDLIPException

    `SDLIPException`

### cancelRequest

    public void cancelRequest(int serverSID,
                              int reqID)
                       throws SDLIPException

    `SDLIPException`